# Анализ клиентских данных

## Описание проекта

Данный проект представляет собой Python-пакет, предназначенный для анализа данных о клиентах. Он позволяет компании оценить распределение клиентов по возрастным группам и городам, что поможет в планировании и ориентировании маркетинговых кампаний на целевую аудиторию.

## Функциональность

Пакет выполняет следующие функции:

- **Загрузка данных о клиентах**: Чтение информации из CSV-файла, содержащего данные о клиентах, таких как имя, возраст и город проживания.
  
- **Генерация отчёта**: Создание текстового отчёта, который включает:
  - Общее количество клиентов.
  - Распределение клиентов по возрастным группам (например, 18-25, 26-35, 36-45, 46-60).
  - Распределение клиентов по городам.

- **Поддержка командной строки**: Пакет может быть запущен из командной строки с указанием входного и выходного файлов:
  - `--input-file`: путь к CSV-файлу с данными о клиентах.
  - `--output-file`: путь к выходному текстовому файлу для сохранения отчета.

## Структура пакета

customer_report/ 
│ 
├── init.py 
├── main.py 
├── report.py 
└── pyproject.toml


## Пример использования

1. Подготовьте CSV-файл с данными о клиентах, например `customers.csv`:

    ```csv
    name,age,city
    Иван Иванов,25,Москва
    Петр Петров,30,Санкт-Петербург
    Светлана Сидорова,40,Москва
    Анна Кузнецова,22,Казань
    ```

2. Запустите пакет из командной строки:

    ```bash
    python -m customer_report --input-file customers.csv --output-file report.txt
    ```

3. В результате будет создан файл `report.txt` с отчетом о клиентах.

